## git-revise 0.4.2

=== debian/changelog ===
git-revise (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #935329)
  * Remove doc references to non-existing README.{source,Debian}
  * debian/control: wrap and sort control field values
  * debian/copyright: remove trailing whitespaces
  * Add git as dependency
  * Switch to debhelper-compat (= 12) build-dep
  * Mark FHS patch for upstream forwarding
  * Purge empty postinst,prerm templates
  * lintian: override false positive: todo.py is code not documentation
  * debian/control: remove Testsuite field, as autopkgtest is not yet used

 -- Nicolas Schier <nicolas@fjasle.eu>  Thu, 26 Sep 2019 18:14:39 +0200

## git-revise 0.7.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = git-revise
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help man Makefile

# Copy generated manfile into project root for distribution.
man: Makefile
	@$(SPHINXBUILD) -M man "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	cp "$(BUILDDIR)/man/git-revise.1" "$(SOURCEDIR)/.."

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## git-revise 0.5.1

=== debian/changelog ===
git-revise (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Nicolas Schier <nicolas@fjasle.eu>  Thu, 13 Feb 2020 18:30:58 +0100

git-revise (0.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2019 16:20:35 -0500

=== debian/control ===
Source: git-revise
Section: devel
Priority: optional
Maintainer: Nicolas Schier <nicolas@fjasle.eu>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.4.0
Homepage: https://mystor.github.io/git-revise.html
X-Python3-Version: >= 3.6
Vcs-Browser: https://salsa.debian.org/debian/git-revise
Vcs-Git: https://salsa.debian.org/debian/git-revise.git -b debian/sid

Package: git-revise
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
 git
Description: handy git tool for doing efficient in-memory commit rebases & fixups
 git revise is a git subcommand to efficiently update, split, and
 rearrange commits. It is heavily inspired by git rebase, however it
 tries to be more efficient and ergonomic for patch-stack oriented
 workflows.
 .
 By default, git revise will apply staged changes to a target commit,
 then update HEAD to point at the revised history. It also supports
 splitting commits and rewording commit messages.
 .
 Unlike git rebase, git revise avoids modifying the working directory
 or the index state, performing all merges in-memory and only writing
 them when necessary. This allows it to be significantly faster on
 large codebases and avoids unnecessarily invalidating builds.

## git-revise 0.6.0

=== debian/changelog ===
git-revise (0.6.0-2) unstable; urgency=medium

  * debian/tests: switch from tox to pytest (Closes: #975415)

 -- Nicolas Schier <nicolas@fjasle.eu>  Thu, 03 Dec 2020 15:15:05 +0100

git-revise (0.6.0-1) unstable; urgency=medium

  * New upstream version v0.6.0
  * Remove superfluous FSH compliance patch (Closes: #944962)
  * Bump standards to 4.5.0 (no changes required)
  * Enable autopkgtest by using upstream tests (Closes: #944957)
  * Satisfy pylint raise-missing-from warnings (patch)

 -- Nicolas Schier <nicolas@fjasle.eu>  Mon, 07 Sep 2020 21:56:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-python,
  python3-all,
  python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://mystor.github.io/git-revise.html
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/debian/git-revise

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=git-revise

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3
Depends:
 git,
 mypy,
 pypy3-dev,
 libpython3-dev,
 python3-pytest,
 @,
 @builddeps@

## git-revise 0.7.0

=== debian/changelog ===
git-revise (0.7.0-1ubuntu1) plucky; urgency=medium

  * Cherry-pick upstream patch working around a feature in Git 2.48.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Feb 2025 20:54:36 -0600

git-revise (0.7.0-1) unstable; urgency=medium

  * Fix package section to "vcs" (Closes: #1002543);
    thanks to Jonas Smedegaard
  * debian/gbp.conf: Add basic git-buildpackage configuration
  * New upstream version 0.7.0
  * Remove obsolete patches
  * d/tests/control: Add test dependencies gpg, gpg-agent

 -- Nicolas Schier <nicolas@fjasle.eu>  Sun, 30 Jan 2022 22:09:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: git-revise
-Section: devel
+Section: vcs
 Priority: optional
-Maintainer: Nicolas Schier <nicolas@fjasle.eu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Schier <nicolas@fjasle.eu>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%git-revise-$1.tar.gz%" \
   https://github.com/mystor/git-revise/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
